Bug 135245 - OK button doesn't close GUI as it should
Summary: OK button doesn't close GUI as it should
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC3Target
TreeView+ depends on / blocked
 
Reported: 2004-10-11 10:27 UTC by David Wood
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 12:29:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Wood 2004-10-11 10:27:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041008
Firefox/0.10.1

Description of problem:
The OK button doesn't work.

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.4.8-1

How reproducible:
Always

Steps to Reproduce:
1. Run system-config-securitylevel
2. Click OK
3.
    

Actual Results:  GUI should close

Expected Results:  Here is the traceback when run from a terminal:

$system-config-securitylevel
/usr/share/system-config-securitylevel/securitylevel.py:74:
DeprecationWarning: use gtk.ComboBox
  self.securityOptionMenu = gtk.OptionMenu()
/usr/share/system-config-securitylevel/selinuxPage.py:297:
DeprecationWarning: use gtk.ComboBox
  self.selinuxTypeOptionMenu = gtk.OptionMenu()
Traceback (most recent call last):
  File "/usr/share/system-config-securitylevel/securitylevel.py", line
164, in okClicked
    rc = self.apply()
  File "/usr/share/system-config-securitylevel/securitylevel.py", line
170, in apply
    self.selinuxPage.apply()
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
545, in apply
    type=self.getType()
  File "/usr/share/system-config-securitylevel/selinuxPage.py", line
533, in getType
    return self.types[self.selinuxTypeOptionMenu.get_history()]
IndexError: list index out of range


Additional info:

Comment 1 Paul Nasrat 2004-10-11 10:42:19 UTC
Is selinux enabled?  What are the contents of the selinux panel in the
display.  

Do you have any policy packages currently installed?  

rpm -q selinux-policy-targeted selinux-policy-strict

Comment 2 David Wood 2004-10-11 10:48:06 UTC
The selinux panel is greyed out (so I guess it's not enabled).

I haven't installed any policy packages.

$rpm -q selinux-policy-targeted selinux-policy-strict
package selinux-policy-targeted is not installed
package selinux-policy-strict is not installed


Comment 3 Paul Nasrat 2004-10-11 10:57:46 UTC
If you install selinux-policy-targeted does the stack trace go away?

Comment 4 David Wood 2004-10-11 11:24:49 UTC
Yes it does thanks.

Comment 5 Daniel Walsh 2004-10-12 18:16:17 UTC
Fixed in system-config-securitylevel-1_4_9-1

Will ignode selinux page if selinux not installed.


Note You need to log in before you can comment on or make changes to this bug.